#ifndef PANIC_H
#define PANIC_H

#include "type.h"
#include "printk.h"
void panic(const char *message);

#define STRINGIFY(x) #x
#define TOSTRING(x) STRINGIFY(x)

#define TODO() do {\
    panic("TODO at " TOSTRING(__FILE__) ":" TOSTRING(__LINE__)); \
} while(0)

#endif