#ifndef _SBI_H
#define _SBI_H
#include "printk.h"
#include "panic.h"
#include "type.h"

#define SBI_SET_TIMER 0
#define SBI_CONSOLE_PUTCHAR 1
#define SBI_CONSOLE_GETCHAR 2
#define SBI_CLEAR_IPI 3
#define SBI_SEND_IPI 4
#define SBI_REMOTE_FENCE_I 5
#define SBI_REMOTE_SFENCE_VMA 6
#define SBI_REMOTE_SFENCE_VMA_ASID 7
#define SBI_SHUTDOWN 8

void sbi_set_timer(uint64_t stime_value);
void sbi_console_putchar(char c);
long sbi_console_getchar(void);
void sbi_shutdown(void);

#endif
