#include "include/timer.h"
#include "include/sbi.h"
#include "include/printk.h"

static uint64_t timer_interval = TIMER_DEFAULT_INTERVAL;

void init_timer() {
    uint64_t current_time = get_time();
    set_timer(current_time + timer_interval);
}

uint64_t get_time() {
    uint64_t time = 0;
    return time;
}

void set_timer(uint64_t interval) {
    uint64_t current_time = get_time();
    sbi_set_timer(current_time + interval);
}

void set_next_timer() {
    set_timer(timer_interval);
}

uint64_t get_timer_interval() {
    return timer_interval;
}